List agent optimization runs
curl --request GET \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/agent-optimizations/{optimizationKey}/runs \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/projects/{projectKey}/agent-optimizations/{optimizationKey}/runs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/projects/{projectKey}/agent-optimizations/{optimizationKey}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"next": {
"href": "href",
"type": "type"
},
"last": {
"href": "href",
"type": "type"
},
"prev": {
"href": "href",
"type": "type"
},
"self": {
"href": "href",
"type": "type"
},
"first": {
"href": "href",
"type": "type"
}
},
"totalCount": 5,
"items": [
{
"createdAt": 6,
"agentOptimizationId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"completedAt": 1,
"activity": "PENDING",
"optimizationKey": "optimizationKey",
"agentOptimizationVersion": 0,
"runId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"status": "RUNNING"
},
{
"createdAt": 6,
"agentOptimizationId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"completedAt": 1,
"activity": "PENDING",
"optimizationKey": "optimizationKey",
"agentOptimizationVersion": 0,
"runId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"status": "RUNNING"
}
]
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}List agent optimization runs
Get one run summary per distinct run_id across all versions of an agent optimization config, ordered by created_at DESC.
GET
/
api
/
v2
/
projects
/
{projectKey}
/
agent-optimizations
/
{optimizationKey}
/
runs
List agent optimization runs
Authorizations
Query Parameters
The number of resources to return.
Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
Response
Agent optimization run list
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{ "next": { "href": "href", "type": "type" }, "last": { "href": "href", "type": "type" }, "prev": { "href": "href", "type": "type" }, "self": { "href": "href", "type": "type" }, "first": { "href": "href", "type": "type" } }